Zernio
Zernio
API Reference

Contacts

List contactsGETCreate contactPOSTList channels for a contactGETGet contactGETUpdate contactPATCHDelete contactDELETEBulk create contactsPOST
Dashboard
llms.txtOpenAPI
OverviewPlatformsAPI ReferenceResources
Contacts

Get contact

Returns a contact with all associated messaging channels.


GET
/v1/contacts/{contactId}

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication: send your Zernio API key in the Authorization header, prefixed with Bearer.

In: header

Path Parameters

contactId*string

Response Body

application/json

application/json

application/json

{  "success": true,  "contact": {    "id": "string",    "name": "string",    "email": "string",    "company": "string",    "avatarUrl": "string",    "tags": [      "string"    ],    "isSubscribed": true,    "isBlocked": true,    "messagesSentCount": 0,    "messagesReceivedCount": 0,    "lastMessageSentAt": "2019-08-24T14:15:22Z",    "lastMessageReceivedAt": "2019-08-24T14:15:22Z",    "customFields": {},    "notes": "string",    "conversationIds": [      "string"    ],    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  },  "channels": [    {      "id": "string",      "accountId": "string",      "platform": "string",      "platformIdentifier": "string",      "displayIdentifier": "string",      "isSubscribed": true,      "conversationId": "string",      "lastActiveAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z"    }  ]}
Was this page helpful?

List channels for a contact

Returns all messaging channels linked to a contact (e.g. Instagram DM, Telegram, WhatsApp).

Update contact

Update one or more fields on a contact. Only provided fields are changed.